Name: qtpfsgui
Version: 1.9.3
Release: 7%{?dist}
Summary: A graphical tool for creating and tone-mapping HDR images

Group: Applications/Productivity
License: GPLv2+
URL: http://qtpfsgui.sourceforge.net/
Source0: http://downloads.sourceforge.net/qtpfsgui/%{name}-%{version}.tar.gz
Patch0: qtpfsgui-1.9.3-disable-sse2.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: qt4-devel
BuildRequires: OpenEXR-devel
BuildRequires: exiv2-devel
BuildRequires: fftw-devel
BuildRequires: libjpeg-devel
BuildRequires: libtiff-devel
BuildRequires: desktop-file-utils

%description
Qtpfsgui is a graphical program for assembling bracketed photos into High
Dynamic Range (HDR) images.  It also provides a number of tone-mapping
operators for creating low dynamic range versions of HDR images.


%prep
%setup -q

# fix missing SSE on everything bug x86_64
%ifnarch x86_64
%patch0 -p1
%endif

# fix inconsistant newlines
%{__sed} -i 's/\r//' Changelog


%build
qmake-qt4 PREFIX=%{_prefix}
make %{_smp_mflags}


%install
rm -rf %{buildroot}
make install -e INSTALL_ROOT=%{buildroot} COPY="cp -pf"

desktop-file-install --vendor="fedora" --delete-original \
	--dir=%{buildroot}/%{_datadir}/applications \
	%{buildroot}/%{_datadir}/applications/%{name}.desktop


%clean
rm -rf %{buildroot}


%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
	%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
	%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-, root, root)
%doc AUTHORS Changelog LICENSE README TODO
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png


%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jan 02 2011 Rex Dieter <rdieter@fedoraproject.org> - 1.9.3-6
- rebuild (exiv2)

* Mon May 31 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.4.80-2
- rebuild (exiv2)

* Mon Jan 04 2010 Rex Dieter <rdieter@fedoraproject.org> - 1.9.3-4 
- rebuild (exiv2)

* Mon Jul 30 2009 Douglas E. Warner <silfreed@silfreed.net> 1.9.3-3
- disabling SSE2 on all arches except x86_64

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Apr 27 2009 Douglas E. Warner <silfreed@silfreed.net> 1.9.3-1
- update to 1.9.3
- Performance improvements on MultiCore Machines
- Integrated pfstmo 1.3.x changes, including better Mantiuk performance
- Integration of Exiv 0.18 (tiff write capabilities in the "Copy Exif Data"
  panel).
- Added Hungarian language (thanks to Peter Gaal)
- Added Indonesian language (thanks to Teddy Widhi Laksono)
- Drag and Drop support for HDR creation/opening
- UI improvements: new icons, cleanup of tonemapping panel
- added detail factor option to the mantiuk06 tmo, thanks to Dejan Beric
- Now using native file saving dialogs on Windows and Mac
- 'Save all' feature in tonemapping dialog.
- Many bugfixes, including the old filename problem
- Integrated pfstmo 1.3.x changes: mantiuk06: Ed Brambley's bug-fix and
  convergence patch mantiuk06: Ed Brambley's OpenMP patch all: Fixes and
  optimization - see pfstmo ChangeLog for more information
- Renamed reinhard04 to reinhard05 (src directory and references)
- Improved linux packaging system: docs and html target directories can be
  specified separately

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Dec 18 2008 Rex Dieter <rdieter@fedoraproject.org> - 1.9.2-3 
- respin (eviv2)

* Thu Jun 26 2008 Douglas E. Warner <silfreed@silfreed.net> 1.9.2-2
- rebuild for libexiv2

* Fri May 09 2008 Douglas E. Warner <silfreed@silfreed.net> 1.9.2-1
- update to 1.9.2
- cleanup spec file

* Mon Mar 03 2008 Douglas E. Warner <silfreed@silfreed.net> 1.9.1-1
- update to 1.9.1

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.9.0-2
- Autorebuild for GCC 4.3

* Tue Dec 16 2007 Douglas E. Warner <silfreed@silfreed.net> 1.9.0-1
- update to version 1.9.0

* Wed Nov 14 2007 Douglas E. Warner <silfreed@silfreed.net> 1.8.12-3
- update for new exiv2

* Mon Oct 15 2007 Douglas E. Warner <silfreed@silfreed.net> 1.8.12-2
- new OpenEXR version

* Tue Aug 12 2007 Douglas E. Warner <silfreed@silfreed.net> 1.8.12-1
- update to version 1.8.12
- fixes CVE-2007-2956; bug#251674

* Thu Aug 02 2007 Douglas E. Warner <silfreed@silfreed.net> 1.8.11-2
- updated License from GPL to GPLv2+

* Tue Jul 31 2007 Douglas E. Warner <silfreed@silfreed.net> 1.8.11-1
- update to version 1.8.11

* Sat Jul 14 2007 Douglas E. Warner <silfreed@silfreed.net> 1.8.10-2
- bump for new sources file

* Sat Jul 14 2007 Douglas E. Warner <silfreed@silfreed.net> 1.8.10-1
- update to version 1.8.10
- removed i18n patch (applied upstream)

* Tue Jul 10 2007 Douglas E. Warner <silfreed@silfreed.net> 1.8.9-5
- preserving timestamps on install
- removed INSTALL file from docs
- updating GTK icon cache

* Wed Jul 04 2007 Douglas E. Warner <silfreed@silfreed.net> 1.8.9-4
- cleaning up summary and description
- fixing newlines in prep instead of install
- updating desktop-file-install to call --delete-original to remove that
  manual step

* Mon Jul 02 2007 Douglas E. Warner <silfreed@silfreed.net> 1.8.9-3
- removing explicit Requires

* Fri Jun 29 2007 Douglas E. Warner <silfreed@silfreed.net> 1.8.9-2
- documenting hacks
- installing desktop file

* Sun Jun 10 2007 Douglas E. Warner <silfreed@silfreed.net> 1.8.9-1
- new version
- not stripping binary and building debuginfo binary

* Wed May 16 2007 Douglas E. Warner <silfreed@silfreed.net> 1.8.8-1
- new version
- removed prefix patch (fixed upstream)

* Sat Apr 28 2007 Douglas E. Warner <silfreed@silfreed.net> 1.8.7-1
- new version

* Sat Apr 28 2007 Douglas E. Warner <silfreed@silfreed.net> 1.8.5-1
- new version

* Sun Mar 25 2007 Douglas E. Warner <silfreed@silfreed.net> 1.8.3-2
- fixing rpmlint errors
- removing explicit library requires
- stripping qtpfsgui binary
- fixing newlines in Changelog
- changed group from Applications/Desktop to Applications/Productivity

* Thu Mar 22 2007 Douglas E. Warner <silfreed@silfreed.net> 1.8.3-1
- Version increase

* Thu Mar 22 2007 Douglas E. Warner <silfreed@silfreed.net> 1.8.2-1
- Initial RPM release.

